X2Go Bug report logs - #107
nx-libs makefile install messed up

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 18 Jan 2013 21:18:01 UTC

Severity: normal

Tags: patch, pending

Found in version 3.5.0.17

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#107; Package nx-libs. (Fri, 18 Jan 2013 21:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 18 Jan 2013 21:18:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] nx-libs makefile install messed up
Date: Fri, 18 Jan 2013 14:14:00 -0700
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.17
Tags: patch

On 01/16/2013 05:13 PM, Orion Poplawski wrote:
> On 01/15/2013 05:03 PM, Orion Poplawski wrote:
>> With current git head, the main nx-libs Makefile install gets it backwards
>> installing the libraries:
>>
>>          $(INSTALL_FILE) nx-X11/.build-exports/lib/*.so
>> $(DESTDIR)$(NXLIBDIR)/X11/
>>          $(COPY_SYMLINK) nx-X11/.build-exports/lib/*.so.*
>> $(DESTDIR)$(NXLIBDIR)/X11/
>>
>> The *.so and *.so.# are symlinks to *.so.#.#.  Though some libs only have a
>> single version (*.so -> *.so.#).
>>
>
> Hmm, gets messed up earlier:
>
> -rwxr-xr-x. 1 orion nwra 10421469 Jan 16 17:07
> nx-libs-HEAD/nx-X11/.build-exports/lib/libNX_X11.so
> lrwxrwxrwx. 1 orion nwra       12 Jan 16 17:07
> nx-libs-HEAD/nx-X11/.build-exports/lib/libNX_X11.so.6 -> libNX_X11.so
> lrwxrwxrwx. 1 orion nwra       12 Jan 16 17:07
> nx-libs-HEAD/nx-X11/.build-exports/lib/libNX_X11.so.6.2 -> libNX_X11.so
> lrwxrwxrwx. 1 orion nwra       26 Jan 16 17:06
> nx-libs-HEAD/nx-X11/exports/lib/libNX_X11.so -> ../../lib/X11/libNX_X11.so
> lrwxrwxrwx. 1 orion nwra       28 Jan 16 17:06
> nx-libs-HEAD/nx-X11/exports/lib/libNX_X11.so.6 -> ../../lib/X11/libNX_X11.so.6
> lrwxrwxrwx. 1 orion nwra       30 Jan 16 17:06
> nx-libs-HEAD/nx-X11/exports/lib/libNX_X11.so.6.2 ->
> ../../lib/X11/libNX_X11.so.6.2
> lrwxrwxrwx. 1 orion nwra       16 Jan 16 17:06
> nx-libs-HEAD/nx-X11/lib/X11/libNX_X11.so -> libNX_X11.so.6.2
> lrwxrwxrwx. 1 orion nwra       16 Jan 16 17:06
> nx-libs-HEAD/nx-X11/lib/X11/libNX_X11.so.6 -> libNX_X11.so.6.2
> -rwxr-xr-x. 1 orion nwra 10421469 Jan 16 17:06
> nx-libs-HEAD/nx-X11/lib/X11/libNX_X11.so.6.2
>
> Don't have time to see how .build-exports gets populated yet.
>

Okay, here is the fix.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder Office                  FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com

[nx-libs-install.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#107; Package nx-libs. (Tue, 12 Feb 2013 07:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 12 Feb 2013 07:18:01 GMT) Full text and rfc822 format available.

Message #10 received at 107@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 107@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#107: nx-libs makefile install messed up
Date: Tue, 12 Feb 2013 08:14:41 +0100
[Message part 1 (text/plain, inline)]
tag #107 pending
thanks

Hi Orion,

On Fr 18 Jan 2013 22:14:00 CET Orion Poplawski wrote:

> Package: nx-libs
> Version: 3.5.0.17
> Tags: patch
>
> On 01/16/2013 05:13 PM, Orion Poplawski wrote:
>> On 01/15/2013 05:03 PM, Orion Poplawski wrote:
>>> With current git head, the main nx-libs Makefile install gets it backwards
>>> installing the libraries:
>>>
>>>         $(INSTALL_FILE) nx-X11/.build-exports/lib/*.so
>>> $(DESTDIR)$(NXLIBDIR)/X11/
>>>         $(COPY_SYMLINK) nx-X11/.build-exports/lib/*.so.*
>>> $(DESTDIR)$(NXLIBDIR)/X11/
>>>
>>> The *.so and *.so.# are symlinks to *.so.#.#.  Though some libs only have a
>>> single version (*.so -> *.so.#).
>>>
>>
>> Hmm, gets messed up earlier:
>>
>> -rwxr-xr-x. 1 orion nwra 10421469 Jan 16 17:07
>> nx-libs-HEAD/nx-X11/.build-exports/lib/libNX_X11.so
>> lrwxrwxrwx. 1 orion nwra       12 Jan 16 17:07
>> nx-libs-HEAD/nx-X11/.build-exports/lib/libNX_X11.so.6 -> libNX_X11.so
>> lrwxrwxrwx. 1 orion nwra       12 Jan 16 17:07
>> nx-libs-HEAD/nx-X11/.build-exports/lib/libNX_X11.so.6.2 -> libNX_X11.so
>> lrwxrwxrwx. 1 orion nwra       26 Jan 16 17:06
>> nx-libs-HEAD/nx-X11/exports/lib/libNX_X11.so -> ../../lib/X11/libNX_X11.so
>> lrwxrwxrwx. 1 orion nwra       28 Jan 16 17:06
>> nx-libs-HEAD/nx-X11/exports/lib/libNX_X11.so.6 ->  
>> ../../lib/X11/libNX_X11.so.6
>> lrwxrwxrwx. 1 orion nwra       30 Jan 16 17:06
>> nx-libs-HEAD/nx-X11/exports/lib/libNX_X11.so.6.2 ->
>> ../../lib/X11/libNX_X11.so.6.2
>> lrwxrwxrwx. 1 orion nwra       16 Jan 16 17:06
>> nx-libs-HEAD/nx-X11/lib/X11/libNX_X11.so -> libNX_X11.so.6.2
>> lrwxrwxrwx. 1 orion nwra       16 Jan 16 17:06
>> nx-libs-HEAD/nx-X11/lib/X11/libNX_X11.so.6 -> libNX_X11.so.6.2
>> -rwxr-xr-x. 1 orion nwra 10421469 Jan 16 17:06
>> nx-libs-HEAD/nx-X11/lib/X11/libNX_X11.so.6.2
>>
>> Don't have time to see how .build-exports gets populated yet.
>>
>
> Okay, here is the fix.

Applied to nx-libs.git:
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=d439556ff1b83aecb10991cf0f031fd4da23494e

THANKS!
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 12 Feb 2013 07:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#107; Package nx-libs. (Sat, 23 Mar 2013 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 23 Mar 2013 00:03:02 GMT) Full text and rfc822 format available.

Message #17 received at 107@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 104@bugs.x2go.org, 107@bugs.x2go.org, 143@bugs.x2go.org, 145@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: The reported issue has been fixed in NX (redistributed) 3.5.0.18
Date: Sat, 23 Mar 2013 00:48:16 +0100
[Message part 1 (text/plain, inline)]
close #104
close #107
close #143
close #145
thanks

The reported issue has been fixed for release 3.5.0.18 of NX (redistributed).

light+love,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 23 Mar 2013 00:03:03 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 00:03:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 20 Apr 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Jul 22 03:37:28 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.